Bug 1037827 - Missing requirements [NEEDINFO]
Summary: Missing requirements
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnsenum
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-03 21:15 UTC by Fabian Affolter
Modified: 2014-09-27 18:46 UTC (History)
2 users (show)

Fixed In Version: dnsenum-1.2.4.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-23 05:06:31 UTC
mail: needinfo? (imranceh)


Attachments (Terms of Use)

Description Fabian Affolter 2013-12-03 21:15:33 UTC
Description of problem:
dnsenum is not able to perform whois queries and google scraping due to missing Perl deps.

$ dnsenum --enum fedoraproject.org
dnsenum.pl VERSION:1.2
Warning: can't load Net::Whois::IP module, whois queries desabled.
Warning: can't load WWW::Mechanize module, google scraping desabled.

Version-Release number of selected component (if applicable):
$ rpm -q dnsenum
dnsenum-1.2-11.fc19.noarch

How reproducible:
every time

Steps to Reproduce:
1. Launch dnsenum with --enum

Actual results:
dnsenum is skipping tasks.

Expected results:
Do the job

Work-around:
$ sudo yum -y install perl-Net-Whois-IP perl-WWW-Mechanize

Comment 1 Fabian Affolter 2014-01-23 18:49:58 UTC
If you like, can I help maintaining the package. I already applied in pkgdb.

Comment 2 Fedora Update System 2014-09-12 09:34:38 UTC
dnsenum-1.2.4.1-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/dnsenum-1.2.4.1-1.el7

Comment 3 Fedora Update System 2014-09-12 09:56:10 UTC
dnsenum-1.2-15.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dnsenum-1.2-15.el6

Comment 4 Fedora Admin XMLRPC Client 2014-09-12 14:38:40 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Fedora Update System 2014-09-12 19:07:01 UTC
Package dnsenum-1.2.4.1-1.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing dnsenum-1.2.4.1-1.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-2625/dnsenum-1.2.4.1-1.el7
then log in and leave karma (feedback).

Comment 6 Fedora Admin XMLRPC Client 2014-09-12 20:45:02 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 7 Fedora Update System 2014-09-12 21:12:44 UTC
dnsenum-1.2.4.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dnsenum-1.2.4.1-1.fc21

Comment 8 Fedora Update System 2014-09-12 21:23:35 UTC
dnsenum-1.2.4.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnsenum-1.2.4.1-1.fc20

Comment 9 Fedora Update System 2014-09-12 21:28:20 UTC
dnsenum-1.2.4.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dnsenum-1.2.4.1-1.fc19

Comment 10 lnie 2014-09-15 05:32:30 UTC
dnsenum-1.2.4.1-1.fc20 works

Comment 11 Fedora Update System 2014-09-23 05:06:31 UTC
dnsenum-1.2.4.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-09-25 10:38:38 UTC
dnsenum-1.2.4.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2014-09-25 10:44:03 UTC
dnsenum-1.2.4.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2014-09-27 18:44:05 UTC
dnsenum-1.2-15.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2014-09-27 18:46:47 UTC
dnsenum-1.2.4.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.